PPL C Language Interface: Version Checking

PPL C Language Interface 1.2

- Main Page
- Related Pages
- Modules
- Classes

Macros | Functions
Version Checking

## Macros
#define | PPL_VERSION "1.2"
| A string containing the PPL version. More...
#define | PPL_VERSION_MAJOR 1
| The major number of the PPL version.
#define | PPL_VERSION_MINOR 2
| The minor number of the PPL version.
#define | PPL_VERSION_REVISION 0
| The revision number of the PPL version.
#define | PPL_VERSION_BETA 0
| The beta number of the PPL version. This is zero for official releases and nonzero for development snapshots.

## Functions
int | ppl_version_major (void)
| Returns the major number of the PPL version.
int | ppl_version_minor (void)
| Returns the minor number of the PPL version.
int | ppl_version_revision (void)
| Returns the revision number of the PPL version.
int | ppl_version_beta (void)
| Returns the beta number of the PPL version.
int | ppl_version (const char **p)
| Writes to `*p` a pointer to a character string containing the PPL version.
int | ppl_banner (const char **p)
| Writes to `*p` a pointer to a character string containing the PPL banner. More...

## Detailed Description

Symbolic constants and functions related to library version checking.

## Macro Definition Documentation

#define PPL_VERSION "1.2"

A string containing the PPL version.

Let `M` and `m` denote the numbers associated to PPL_VERSION_MAJOR and PPL_VERSION_MINOR, respectively. The format of PPL_VERSION is `M "." m` if both PPL_VERSION_REVISION (`r`) and PPL_VERSION_BETA (`b`)are zero, `M "." m "pre" b` if PPL_VERSION_REVISION is zero and PPL_VERSION_BETA is not zero, `M "." m "." r` if PPL_VERSION_REVISION is not zero and PPL_VERSION_BETA is zero, `M "." m "." r "pre" b` if neither PPL_VERSION_REVISION nor PPL_VERSION_BETA are zero.

## Function Documentation

int ppl_banner | ( | const char ** | p | ) |

Writes to `*p` a pointer to a character string containing the PPL banner.

The banner provides information about the PPL version, the licensing, the lack of any warranty whatsoever, the C++ compiler used to build the library, where to report bugs and where to look for further information.